body{
    background-color: #fbfbf6;
    /* 卯の花色（うのはないろ） */
    font-size: 16px;
    text-align: center;
    font-family: "toppan-bunkyu-midashi-go-std", sans-serif;
    font-style: normal;
    font-weight: 900;
    margin: 0;
}

.photo img{
    width: 100%;
    /*1対1に固定 */
    aspect-ratio: 1 / 1;
    /*余っているところを削除（トリミング）*/
    object-fit: cover;
    border-radius: 8px;
}

.header{
    /* 横並び */
    display: flex;
    height: auto;
    background-color: #FFFFFF;
    color: #000000;
    /* 上下の真ん中に置いてくれる */
    align-items: center;
    /* ヘッダーを固定 */
    position: sticky;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    background-color: #FFFFFF;
    padding-left: 8px;
}

#top-go img{
    max-width: 30px;
    height: auto;
}

h1 {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0,0,0,0);
  white-space: nowrap;
}

footer {
  color: #000000;
  background-color: #f6f6f6;
  font-family: "toppan-bunkyu-midashi-go-std";
  font-style: normal;
  font-weight: 300;
}

.photo {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 16px;
  text-align: center;

  justify-content: center;
  padding: 8px;
}

#loading {
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #FFFFFF;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: fadeout 1s ease 5s forwards; 
}

.link_go {
  background-color: #87CEEB;
  color: #000000;
  padding: 10px;
  border-radius: 20px;
}

/* ここから先、onedivloadersのコード */
.line-1-horizontal {
  --size: 24px;
  --stroke-width: calc(var(--size) / 6);
  --color: currentColor;
  --animation-timing-function: cubic-bezier(0.85, 0, 0.15, 1);
  --animation-duration: 2s;
  width: var(--size);
  height: var(--stroke-width);
  background-color: var(--color);
  transform: scaleX(0);
  transform-origin: center left;
  animation: var(--animation-timing-function) var(--animation-duration) infinite line-1-horizontal-animation;
}

@keyframes line-1-horizontal-animation {
  0% {
    transform: scaleX(0);
    transform-origin: center left;
  }

  50% {
    transform: scaleX(1);
    transform-origin: center left;
  }

  51% {
    transform: scaleX(1);
    transform-origin: center right;
  }

  100% {
    transform: scaleX(0);
    transform-origin: center right;
  }
}

/* GPTに聞いた結果、フェードアウトがないとの事。 */
@keyframes fadeout {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    visibility: hidden;
  }
}

